SMAO API Documentation

Get organization usage

Returns usage for one MSP or customer organization.

GET
/organizations/{organizationId}/usage
AuthorizationBearer <token>

In: header

Path Parameters

organizationIdstring
Match^[a-fA-F0-9]{24}$

Query Parameters

fromstring

Start date in YYYY-MM-DD. Future dates are rejected. Usage endpoints allow up to 365 days; billing-summary allows up to 31 days.

Formatdate
tostring

End date in YYYY-MM-DD. Future dates are rejected. Usage endpoints allow up to 365 days; billing-summary allows up to 31 days.

Formatdate

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.smao.ai/api/distributor/v2/organizations/string/usage?from=2019-08-24&to=2019-08-24"
{
  "status": "success",
  "organization": {
    "id": "string",
    "type": "msp",
    "name": "string",
    "industry": "string",
    "timezone": "string",
    "channelPartner": "string",
    "externalOrganizationId": "string",
    "parentOrganizationId": "string",
    "status": "active",
    "blockedReason": "string",
    "ownerEmail": "string",
    "externalLicenseId": "string",
    "license": {
      "id": "string",
      "externalLicenseId": "string",
      "status": "available",
      "owningOrganizationId": "string",
      "assignedOrganizationId": "string",
      "plan": {
        "id": "string",
        "slug": "string",
        "name": "string",
        "commitment": "none",
        "currency": "string",
        "baseFee": 0
      },
      "assignedAt": "2019-08-24T14:15:22Z",
      "disabledAt": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    },
    "createdAt": "2019-08-24T14:15:22Z"
  },
  "period": {
    "from": "2019-08-24",
    "to": "2019-08-24"
  },
  "usage": {
    "calls": {
      "count": 0,
      "minutes": 0
    },
    "forwards": {
      "count": 0,
      "minutes": 0
    },
    "assistants": 0,
    "sms": {
      "count": 0,
      "segments": 0
    },
    "whatsapp": 0
  }
}
{
  "status": "error",
  "errorCode": "VALIDATION_ERROR",
  "message": "string"
}
{
  "status": "error",
  "errorCode": "VALIDATION_ERROR",
  "message": "string"
}
{
  "status": "error",
  "errorCode": "VALIDATION_ERROR",
  "message": "string"
}
{
  "status": "error",
  "errorCode": "VALIDATION_ERROR",
  "message": "string"
}

{
  "status": "error",
  "errorCode": "RATE_LIMITED",
  "message": "Too many requests for this API key."
}
{
  "status": "error",
  "errorCode": "VALIDATION_ERROR",
  "message": "string"
}

{
  "status": "error",
  "errorCode": "RATE_LIMIT_UNAVAILABLE",
  "message": "Rate limit storage is unavailable. Try again later."
}